package com.unis.base.server.dao;

import com.unis.base.common.vo.*;
import com.unis.base.server.entity.TalentGroupDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.List;

@Mapper
@Repository
public interface TalentGroupDao {
    void insertGroup(TalentGroupVO talentGroupVO);

    List<GroupPersonVO> selectGroup(String  groupName);

    PersonnelMxVO selectPerson(String rybh);

    List<PersonnelMxVO> listInfo(UserQueryVo queryVo);

    void setGroupID(List<SelectPersonVo> personVoList);

    void insertQiYe(List<QiyeMcVO> qiyeMcVOList);

    String selectGroupID(String groupName);

    void delectMore(String groupId);

    void deleteSome(String userId);

    List<GroupVO> selectG(String groupName);

    void updatePerson(String userId,String groupId,String association);

    void updateGroup(String deptId, String groupId);

    String selectPhone(String userId);

    String selectRybh(String telphone);

    List<EducationVO> selectEducation(String rybh);

    List<ReportVO> selectReport(String rybh);

    List<SkillVO> selectSkill(String rybh);

    List<RotaterotateVO> selectRotaterotateVO(String rybh);

    List<FeiEducationVO> selectFeiEducationVO(String rybh);

    OtherCertificatesVO selectOtherCertificatesVO(String rybh);

    List<SelectPersonVo> selectpersonId(String deptId);

    GroupPersonVO selectPP(String userId);

    void deleteSomein(String userId);


    List<GroupPersonSVO> selectGroups(String groupId);

    String[] selectname(String groupName);

    List<GetPagePersonnelVO> selectGg();

    List<BmRecordVO> selectBm(String qymc);

    ArrayList<BRyVO> seleRy(String bmmc);

    ArrayList<BRyVO> selectRtt(String tyshxydm);

    List<PersonnelMxVO> selectAll(UserQueryVo userQueryVo);

    List<PersonnelMxVO> selectPerAll(UserQueryVo userQueryVo);

    List<String> selectPersons(String groupId);

    TalentGroupDO selectGroupInfo(String groupId);
}
